ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.IStaticValue Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IStaticValue:

## Public Member Functions
float | GetCurrent (EChannel channel)
| Returns static input in amperes.
void | SetCurrent (EChannel channel, float value)
| Sets static input in amperes.
float | GetDiopter (EChannel channel)
| Returns static input in dpt.
void | SetDiopter (EChannel channel, float value)
| Sets static input in dpt.
float | GetUnitlessValue (EChannel channel)
| Returns unitless value.
void | SetUnitlessValue (EChannel channel, float value)
| Sets unitless value.

## Member Function Documentation

## ◆ GetCurrent()

float ICC4cPwmSdk.Device.IStaticValue.GetCurrent | ( | EChannel | channel | ) |

Returns static input in amperes.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetDiopter()

float ICC4cPwmSdk.Device.IStaticValue.GetDiopter | ( | EChannel | channel | ) |

Returns static input in dpt.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetUnitlessValue()

float ICC4cPwmSdk.Device.IStaticValue.GetUnitlessValue | ( | EChannel | channel | ) |

Returns unitless value.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetCurrent()

void ICC4cPwmSdk.Device.IStaticValue.SetCurrent | ( | EChannel | channel,
|  | float | value )

Sets static input in amperes.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetDiopter()

void ICC4cPwmSdk.Device.IStaticValue.SetDiopter | ( | EChannel | channel,
|  | float | value )

Sets static input in dpt.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetUnitlessValue()

void ICC4cPwmSdk.Device.IStaticValue.SetUnitlessValue | ( | EChannel | channel,
|  | float | value )

Sets unitless value.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- source/ICC4cPwmSdkDeviceController.cs